{
  "openapi": "3.0.0",
  "info": {
    "title": "Post-Order API",
    "description": "Post-Order API helps create and manage INR inquiries, eBay Buyer Protection cases, order cancellation requests, and order returns.",
    "contact": {
      "name": "eBay Inc,"
    },
    "license": {
      "name": "eBay API License Agreement",
      "url": "https://developer.ebay.com/join/api-license-agreement"
    },
    "version": "2.10.0"
  },
  "servers": [
    {
      "url": "https://api.ebay.com{basePath}",
      "description": "Production",
      "variables": {
        "basePath": {
          "default": "/post-order/v2"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/post-order/v2/cancellation/check_eligibility": {
      "post": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Check Cancellation Eligibility",
        "description": "This method is used to check if a specified order is eligible to be cancelled.  <br/><br/>The response contains information on cancellation eligibility at the order and order line-item levels.  <p class=\"tablenote\"><b>Note:</b> Currently, only an entire order can be cancelled; the cancellation of individual line items in the order is not supported.</p>  <p>For an order to be eligible for cancellation, all of the line items in the order must be eligible for cancellation.</p>",
        "operationId": "checkCancellationEligibility",
        "requestBody": {
          "description": "Request object for the <b>checkEligibility</b> method.",
          "content": {
            "application/xml": {
              "schema": {
                "description": "Request object for the <b>checkEligibility</b> method.",
                "$ref": "#/components/schemas/OrderEligibilityCheckInfo"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/OrderEligibilityResult"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/cancellation/{cancelId}": {
      "get": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Get Cancellation",
        "description": "This method retrieves the details of a specific cancellation request.  <br/><br/>The response from this method depends on the value set for the <b>fieldgroups</b> query parameter. If the value of <b>fieldgroups</b> is set to <code>SUMMARY</code>, the response payload is identical to the payload retrieved in the <b>GET /post-order/v2/cancellation/search</b> method. If you set the value of <b>fieldgroups</b> to <code>FULL</code>, the response includes a history of each cancellation request and the list of each line item in the order.<br>",
        "operationId": "getCancellation",
        "parameters": [
          {
            "name": "cancelId",
            "in": "path",
            "description": "Input the unique identifier for the cancellation request you wish to retrieve. The cancellation ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fieldgroups",
            "in": "query",
            "description": "The value set in this query parameter controls the level of detail that is returned in the response. One of the values defined in the <a href=\"/devzone/post-order/types/GetCancelFieldGroup.html\">GetCancelFieldGroup</a> type definition must be used in this query parameter. <br/><br/> <b>Default:</b> <code>FULL</code>. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/can:GetCancelFieldGroup",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/GetCancelDetailResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/cancellation": {
      "post": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Create Cancellation Request",
        "description": "This method initiates an order cancellation on behalf of a seller and, if needed, you can also create an order cancellation on behalf of a buyer.<span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload. </span>  <p>The buyer use-case for this method provides a way for you to programmatically test your cancellation flows in the Sandbox, as buyers in a production environment normally request order cancellations via the eBay web flows.</p>  <p class=\"tablenote\"><b>Tip:</b> Call <b>POST /post-order/v2/cancellation/check_eligibility</b> before calling this method to ensure the order being considered is eligible to be cancelled.</p>  <p>Orders are eligible for cancellation based on various criteria, such as the cancellation cutoff period for the eBay marketplace on which the order was placed. As an example, the cutoff for <code>EBAY_US</code> is 1 hour after purchase, after which the order becomes ineligible for cancellation. If the order is not eligible for cancellation, you can notify the buyer or seller so they don't proceed with a cancellation request.</p>  <p>When a buyer cancels an order after purchase, it is up to the seller to either reject or approve it the request by calling <b>POST /post-order/v2/cancellation/{cancelId}/reject</b> or <b>POST /post-order/v2/cancellation/{cancelId}/approve</b> methods, respectively.<p>   <p>Sellers can call <b>POST /post-order/v2/cancellation</b> to directly cancel the order.</p> <p>Sellers may cancel an order if they run out of stock on an item and are unable to fulfill the order for up to 30 days after the sale. While the <b>POST /post-order/v2/cancellation/check_eligibility</b> method can be used to check for order cancellation eligibility, the <b>POST /post-order/v2/cancellation</b> method also returns eligibility information in the response. If the order's cancellation eligibility has changed, examine the <b>failureReason</b> field for why the cancellation failed.</p>  <p class=\"tablenote\"><b>Note:</b> Sellers may cancel an order up to 30 days after the sale. However, if a seller has run out of stock on an item and cannot fulfill the order, a cancellation can result in a defect on the seller's account. Also, note there is no negative effect on the seller's account if the seller is cancelling the order at the request of the buyer.</p>   <p class=\"tablenote\"><b>Note:</b> Currently, an entire eligible order can be cancelled, but not individual order line items. For the order to be eligible for cancellation, all of its order line items must be eligible.</p>  ",
        "operationId": "createCancellationRequest",
        "requestBody": {
          "description": "Request object for the <b>CreateCancelRequest</b> method.",
          "content": {
            "application/xml": {
              "schema": {
                "description": "Request object for the <b>CreateCancelRequest</b> method.",
                "$ref": "#/components/schemas/CreateCancelRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/CreateCancelResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/cancellation/{cancelId}/confirm": {
      "post": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Confirm Cancellation Refund",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 2, 2026.</span></span><p>This is a buyer-side method that you can use to indicate that the buyer received a refund for the specified order cancellation.</p><p>In the case of an unpaid order, this method can also be used by the buyer to acknowledge the order has been cancelled and that the cancellation request has been closed.</p>",
        "operationId": "confirm",
        "parameters": [
          {
            "name": "cancelId",
            "in": "path",
            "description": "The unique eBay-assigned identifier of the cancellation request for which to confirm refund. The cancellation ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Request object for the <b>ConfirmRefundRequest</b> method.",
          "content": {
            "application/xml": {
              "schema": {
                "description": "Request object for the <b>ConfirmRefundRequest</b> method.",
                "$ref": "#/components/schemas/ConfirmRefundRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/cancellation/search": {
      "get": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Search Cancellations",
        "description": "Use this method to search for and retrieve one or more order cancellations.  <br/><br/>Specify the search criteria using query parameters.  <br/><br/>The result set is paginated and returned one page at a time. Depending on the values of the <b>limit</b> and <b>offset</b> parameters, the results set (cancellations matching filter criteria) may contain only one page or multiple pages. If the results set has multiple pages, the user will need to make subsequent calls to view additional pages, adjusting the offset value each time.",
        "operationId": "searchCancellations",
        "parameters": [
          {
            "name": "cancel_id",
            "in": "query",
            "description": "The unigue identifier of a specific cancellation request. If this query parameter is used, any other query parameters that are included are ignored since the request will only return this specific cancellation request (if it is found).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "creation_date_range_from",
            "in": "query",
            "description": "Use the <b>creation_date_range_from</b> and <b>creation_date_range_to</b> query parameters to retrieve cancellation requests that were created during a specific time range.  <br/><br/>Set <b>creation_date_range_from</b> to the beginning of the time range and set <b>creation_date_range_to</b> to a date that's after the start date. Do not set the start date more than 18 months in the past.  <br/><br/>If you set <b>creation_date_range_from</b> but do not set  <b>creation_date_range_to</b>, the service searches through all cancellation requests created at or after the specified time, and searches forward 90 days from there. <br/><br/>This parameter takes an ISO 8601-formatted date. For example: <br/><code>2015-05-15T03:00:00.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "creation_date_range_to",
            "in": "query",
            "description": "Use <b>creation_date_range_to</b> in conjunction with the <b>creation_date_range_from</b> query parameter. See <b>creation_date_range_to</b> for details on how to set this parameter. <br/><br/>This parameter takes an ISO 8601-formatted date.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "item_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of a listing. If this parameter is used, eBay will search for any cancellation requests filed against this listing. <br/><br/>This parameter is conditionally required if the <b>transaction_id</b> query parameter is used, as both Item ID and Transaction ID values are needed to identify a line item.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "legacy_order_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of an order.  If this parameter is used, eBay will search for any cancellation requests filed against this order ID. <p class=\"tablenote\"><b>Note:</b> Note that order ID values change as an order goes from the unpaid to the paid state, and order IDs in both states are supported with this parameter.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "This parameter specifies the maximum number of order cancellations to return per page of data. If this query parameter is not used, its value defaults to 10 (order cancellations per page)<p><b>Default: </b>10 <br/><b>Maximum:</b> 500 <br/><b>Minimum:</b> 1</p>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "This parameter specifies the number of entries to skip in the result set before returning the first item in the paginated response.  <p>Combine <b>offset</b> with the <b>limit</b> query parameter to control how many and which items are returned in the response. For example, if you supply an <b>offset</b> value of <code>0</code> and a <b>limit</b> value of <code>10</code>, the first page of the response will contain the first 10 items from the results set. If the <b>offset</b> value is <code>10</code> and the <b>limit</b> value is <code>20</code>, the first page of the response will contain items 11-30 from the results set.</p> <p><b>Default:</b> 0</p>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "role",
            "in": "query",
            "description": "Use this query parameter to filter the order cancellation results based on who inititated the order cancellation request. The supported values are <code>BUYER</code> and <code>SELLER</code>, and both value are case-sensitive (e.g. all CAPS are required).  <br/><br/><b>Default:</b> <code>SELLER</code> For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/zbase:UserRoleFilterEnum",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "This query parameter allows a user to sort cancellation requests in the response by <b>CANCEL_ID</b> or by <b>CANCEL_REQUEST_DATE</b>, in ascending or descending order. One of these two enumeration values must be used as the <b>sort</b> value, and will be preceding by either a <code>+</code> (plus sign) to sort in ascending order, or a <code>-</code> (minus sign) to sort in descending order. <br/><br/>So, to sort in ascending order according to cancellation ID, the following syntax would be used: <code>sort=+CANCEL_ID</code>. To sort in descending order according to cancellation request date, <code>sort=-CANCEL_REQUEST_DATE</code> would be used. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/can:CancelSortField",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "transaction_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of the line item purchase. If this parameter is used, the <b>item_id</b> query parameter must also be used, as both Item ID and Transaction ID values are needed to identify a line item. If you use <b>transaction_id</b> without also supplying an <b>item_id</b> value, this parameter is ignored.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/FindCancelResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/cancellation/{cancelId}/approve": {
      "post": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Approve Cancellation",
        "description": "This method approves a buyer's order cancellation request on behalf of the seller.<span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload. </span>If the order is eligible for cancellation and the seller agrees, this method cancels the order and notifies the buyer of the cancellation.  <br/><br/>This method has no request or response payloads. The <b>cancelId</b> value is passed in as a path parameter and if the order is successfully cancelled, an HTTP status code of <code>200</code> is returned. <br>",
        "operationId": "approveCancellation",
        "parameters": [
          {
            "name": "cancelId",
            "in": "path",
            "description": "The unique eBay-assigned identifier of the cancellation request to be approved. The cancellation ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/cancellation/{cancelId}/reject": {
      "post": {
        "tags": [
          "Cancellation"
        ],
        "summary": "Reject Cancellation",
        "description": "This method is used on behalf of a seller to reject a buyer's order cancellation request.  <br/><br/>A seller often rejects cancellation requests if one or more line items in the order have already been shipped to the buyer (which makes the order ineligible to be cancelled). <br/><br/>If the seller has shipped all or part of the order, it is good practice to pass <b>shipmentDate</b> and <b>trackingNumber</b> in the request payload.  <p class=\"tablenote\"><b>Important!</b> The <b>shipmentDate</b> and <b>trackingNumber</b> fields are optional in the request payload. If you do <i>not</i> include either of these fields, you must submit a payload consisting of just the opening and closing braces (<code>{ }</code>).</p>",
        "operationId": "rejectCancellation",
        "parameters": [
          {
            "name": "cancelId",
            "in": "path",
            "description": "The unique eBay-assigned identifier of the cancellation request to be rejected. The cancellation ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Request object for the <b>RejectCancelRequest</b> method.",
          "content": {
            "application/xml": {
              "schema": {
                "description": "Request object for the <b>RejectCancelRequest</b> method.",
                "$ref": "#/components/schemas/RejectCancelRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/casemanagement/{caseId}/appeal": {
      "post": {
        "tags": [
          "Case Management"
        ],
        "summary": "Appeal Case Decision",
        "description": "Buyers and sellers can use this method to appeal a case decision that was not ruled in their favor by eBay customer support. Optionally, the buyer or seller can include an explanation of why they appealing the case decision through the <b>comments</b> container. <br>",
        "operationId": "appealCaseDecision",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case for which an appeal will be filed against. The case ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Use this method to appeal the a case resolution.",
          "content": {
            "application/json": {
              "schema": {
                "description": "Use this method to appeal the a case resolution.",
                "$ref": "#/components/schemas/AppealRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/casemanagement/{caseId}": {
      "get": {
        "tags": [
          "Case Management"
        ],
        "summary": "Get Case",
        "description": "This method can be used on behalf of buyers and sellers to retrieve detailed information on a case, including case history and (if applicable) refund information, appeal information, and shipment tracking information. <br/><br/>The case is identified by the <code>caseId</code> value that is passed in as part of the call URI. You must be involved in the case in order to retrieve the case details.<br>",
        "operationId": "getCase",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case to retrieve. The case ID value is passed in as part of the call URI. The buyer or seller must be involved in the case in order to retrieve details on the specified case.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CaseDetailsResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/casemanagement/{caseId}/issue_refund": {
      "post": {
        "tags": [
          "Case Management"
        ],
        "summary": "Issue Case Refund",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 2, 2026. </span><p>This method can be used on behalf of sellers to issue a full refund to the buyer to resolve an INR or Return case that was filed against the seller. The seller can voluntarily use this method before eBay customer support makes a decision on the case, or after, when and if eBay customer supports rules in favor of the buyer and forces the seller to issue a refund to the buyer.<span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload. </span></p>",
        "operationId": "issueCaseRefund",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case for which a full refund will be issued to the buyer. The case ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Use this method to use a refund as the result of a case resolution.",
          "content": {
            "application/json": {
              "schema": {
                "description": "Use this method to use a refund as the result of a case resolution.",
                "$ref": "#/components/schemas/CaseVoluntaryRefundRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "description": "Base response of the issue case refund method.",
                  "$ref": "#/components/schemas/VoluntaryRefundResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/casemanagement/{caseId}/provide_return_address": {
      "post": {
        "tags": [
          "Case Management"
        ],
        "summary": "Provides Return Address",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 2, 2026. </span><p>This method can be used on behalf of sellers to provide the correct return address to the buyer. If applicable, and requested by the buyer, the seller can also provide the Return Merchandise Authorization (RMA) number to the buyer through the request payload.<br></p>",
        "operationId": "provideCaseReturnAddress",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case for which the seller is providing a return address and or an RMA number. The case ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Sellers use this method to provide return address.",
          "content": {
            "application/json": {
              "schema": {
                "description": "Sellers use this method to provide return address.",
                "$ref": "#/components/schemas/ReturnAddressRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/casemanagement/{caseId}/close": {
      "post": {
        "tags": [
          "Case Management"
        ],
        "summary": "Close Case",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 2, 2026. </span></span><p>This method can be used on behalf of buyers to close an open case. Buyers can close an INR case after the item arrives, and they might close a Return case if they decide to keep the item, or have otherwise worked out an agreement with the seller.</p><p></p>",
        "operationId": "closeCase",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case that is being closed. The case ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Use this method to close an open case.",
          "content": {
            "application/json": {
              "schema": {
                "description": "Use this method to close an open case.",
                "$ref": "#/components/schemas/BuyerCloseCaseRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/casemanagement/{caseId}/provide_shipment_info": {
      "post": {
        "tags": [
          "Case Management"
        ],
        "summary": "Provide Case Shipment Info",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 2, 2026. </span><p>This method is used to provide shipment tracking information for an item that is involved in case.<br></p>",
        "operationId": "provideCaseShipmentInfo",
        "parameters": [
          {
            "name": "caseId",
            "in": "path",
            "description": "The unique identifier of a case. This URI parameter is required in order to identify the case for which shipment tracking information is being provided. The case ID value is passed in as part of the method URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This method provides shipment tracking information for an item that is involved in case.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This method provides shipment tracking information for an item that is involved in case.",
                "$ref": "#/components/schemas/ProvideShipmentInfoRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/casemanagement/search": {
      "get": {
        "tags": [
          "Case Management"
        ],
        "summary": "Search Cases",
        "description": "This method is used to search for return requests and Item Not Received inquiries that have been escalated to eBay cases by the buyer. <br/><br/>There are multiple filters available for this method, including the following:<ul><li>Searching by item ID</li><li>Searching by order ID (or item ID/transaction ID)</li><li>Searching by return ID</li><li>Searching by case status</li><li>Searching by case creation date</li></ul>Pagination is also available for this method that allows the user to control how many and which cases are returned in the results set.",
        "operationId": "searchCases",
        "parameters": [
          {
            "name": "case_creation_date_range_from",
            "in": "query",
            "description": "The <b>case_creation_date_range_from</b> and <b>case_creation_date_range_to</b> query parameters are used if the user wants to retrieve cases that were created during a specific time range. The starting date range is input into the <b>case_creation_date_range_from</b> query parameter. The <b>case_creation_date_range_from</b> date must be older than the <b>case_creation_date_range_to</b> date, and it cannot be set back more than 18 months in the past. If the <b>case_creation_date_range_from</b> query parameter is used, but the <b>case_creation_date_range_to</b> query parameter is not used, the method will look for all cases created at or after this date/time, going forward 90 days from this date. The ISO-8601 date format should be used for this query parameter. Here's a sample of that format: <code>2015-05-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "case_creation_date_range_to",
            "in": "query",
            "description": "The <b>case_creation_date_range_from</b> and <b>case_creation_date_range_to</b> query parameters are used if the user wants to retrieve cases that were created during a specific time range. The ending date range is input into the <b>case_creation_date_range_to</b> query parameter. The <b>case_creation_date_range_to</b> date must be more recent than the <b>case_creation_date_range_from</b> date. If the <b>case_creation_date_range_from</b> query parameter is used, but the <b>case_creation_date_range_to</b> query parameter is not used, the method will look for all cases created at or after the <b>case_creation_date_range_from</b> value, going forward 90 days from this date. The ISO-8601 date format should be used for this query parameter. Here's a sample of that format: <code>2015-05-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "case_status_filter",
            "in": "query",
            "description": "This query parameter is used if the user wants to search for cases in a specific state. One of the enumeration values defined in the <a href=\"/devzone/post-order/types/CaseStatusFilter.html\">CaseStatusFilter</a> type definition must be used in this query parameter. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/res:CaseStatusFilter",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fieldgroups",
            "in": "query",
            "description": "In the future, the <b>fieldgroups</b> query parameter may be used in the request to control the amount of detail that is returned in the response, but for now, the scope of the response will be the same even if this query parameter is used and set to <code>DEFAULT</code>, which is the only supported value. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/res:CaseSearchFieldGroupEnum",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "item_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of a listing. If this parameter is used, eBay will search for any cases filed against this listing. <br/><br/>This parameter is conditionally required if the <b>transaction_id</b> query parameter is used, as both Item ID and Transaction ID values are needed to identify a line item.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "This parameter specifies the maximum number of cases to display per page of data. If this query parameter is not used, its value defaults to 25 (cases per page). <br/><br/><b>Min value</b>: 1<br/><b>Max value</b>: 200<br/><b>Default value</b>: 25",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "This parameter specifies the number of entries to skip in the result set before returning the first item in the paginated response. A 0-based index is used, so page '1' of results is returned if <code>0</code> is set in this field or if this query parameter is omitted. Specify a positive value equal to or lower than the number of pages available (which you determine by examining the results in the <b>paginationOutput</b> container of your initial call).<br/><br/>Combine <b>offset</b> with the <b>limit</b> query parameter to control how many and which items are returned in the response.<br/><br/><b>Min value</b>: 0<br/><b>Default value</b>: 0",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "order_id",
            "in": "query",
            "description": "The unique ID of an order. An <b>order_id</b> value is provided as a query parameter if the user wants to see if a case was filed against one or more order line items in the order specified in this field.  <br/><br/><span class=\"tablenote\"> <b>Note:</b> The order ID value changes as an order goes from the unpaid to the paid state.</span>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "return_id",
            "in": "query",
            "description": "The unique identifier of a return request. A <b>return_id</b> value is provided as a query parameter if the user wants to see if a particular return request has been escalated to a case.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "This query parameter is used if you want to control whether cases are retrieved in descending order (most recent cases returned at top of the response) or ascending order (oldest cases returned at top of the response). If this query parameter is used, either <code>Descending</code> or <code>Ascending</code> must be used as the value.<br/><br/><code>Descending</code> is the default value, so this query parameter is more useful if you want to sort cases in ascending order.<br/><br/><b>Default</b>: Descending ",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "transaction_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of the line item purchase. If this parameter is used, the <b>item_id</b> query parameter must also be used, as both Item ID and Transaction ID values are needed to identify a line item. If you use <b>transaction_id</b> without also supplying an <b>item_id</b> value, this parameter is ignored.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CaseSearchResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/inquiry/": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Create Inquiry",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 16, 2026. </span></span>This method is used to create an Item Not Received (INR) inquiry for the specified order line item on behalf of the buyer.  <br><br>If the inquiry is successfully created, an HTTP status code of <code>201</code> is returned, and the Location response header will contain the call URI that can be used to retrieve the newly-created inquiry. ",
        "operationId": "createInquiry",
        "requestBody": {
          "description": "This is the base request type for the 'Create Inquiry' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Create Inquiry' method.",
                "$ref": "#/components/schemas/CreateInquiryRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/send_message": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Send Inquiry Message",
        "description": "This method allows a buyer or seller to send a message to their order partner in regards to an INR inquiry.<br>",
        "operationId": "sendInquiryMessage",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry being discussed. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type used by the 'Send Inquiry Message' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type used by the 'Send Inquiry Message' method.",
                "$ref": "#/components/schemas/SendMessageRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/escalate": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Escalate Inquiry",
        "description": "This method is used to escalate the specified Item Not Received inquiry to an INR case on behalf of the buyer or seller. The seller would only escalate an INR inquiry if he/she already shipped the order line item, but the buyer is refusing to close the inquiry.<br>",
        "operationId": "escalateInquiry",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique identifier of the inquiry to be escalated. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type for the 'Escalate Inquiry' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Escalate Inquiry' method.",
                "$ref": "#/components/schemas/EscalateInquiryRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success"
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/close": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Close Inquiry",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 16, 2026. </span></span>This method can be used on behalf of the buyer to close an Item Not Received (INR) inquiry. The inquiry ID is passed in as a path parameter to identify the inquiry to close, and there are two optional request payload fields to provide more information about why the inquiry is being closed.",
        "operationId": "closeInquiry",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry to be closed. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type for the 'Close Inquiry' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Close Inquiry' method.",
                "$ref": "#/components/schemas/BuyerCloseInquiryRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/confirm_refund": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Confirm Inquiry Refund",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 16, 2026. </span></span><p>This method can be used on behalf of the buyer to confirm receipt of a full refund for the order line item that has the INR inquiry. This method has no request or response payloads. The <b>inquiryId</b> value is passed in as a path parameter, and if the refund is successfully confirmed, an HTTP status code of 200 is returned.</p><p></p>",
        "operationId": "confirmInquiryRefund",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry for which the refund is to be confirmed. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/inquiry/{inquiryId}": {
      "get": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Get Inquiry",
        "description": "This method retrieves details about the specified INR inquiry and a summary of the activity to date with respect to the inquiry. The response can also include provisional refund state and an estimated resolution date when the inquiry is in a provisional refund eligible flow. The summary includes any actions taken by the buyer, the seller, the Inquiry service, or customer support representatives.<p></p>",
        "operationId": "getInquiry",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry for which details and history are to be retrieved. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InquiryDetailsResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/issue_refund": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Issue Inquiry Refund",
        "description": "This method can be used on behalf of the seller to issue a full refund to the buyer for the missing line item. This method will be used if the buyer is seeking a full refund for the missing line item and the seller has yet to ship the line item.<span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload.</span>",
        "operationId": "issueInquiryRefund",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry for which a refund is to be issued. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type for the 'Issue Inquiry Refund' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Issue Inquiry Refund' method.",
                "$ref": "#/components/schemas/InquiryVoluntaryRefundRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VoluntaryRefundResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/provide_shipment_info": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Provide Inquiry Shipment Info",
        "description": "This method can be used to provide shipment tracking and other information about the shipment of an order line item that had an INR inquiry filed against it.<br>",
        "operationId": "provideInquiryShipmentInfo",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry for which to provide shipment information. The inquiry ID value is passed in as part of the call URI.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type for the 'Provide Inquiry Shipment Info' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Provide Inquiry Shipment Info' method.",
                "$ref": "#/components/schemas/ShipmentInfoRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/inquiry/search": {
      "get": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Search Inquiries",
        "description": "This method is used to search for INR inquiries using multiple filter types.<br><p><span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>Inquiries that have been escalated to cases are excluded from <b>searchInquiries</b> results. Use <a href=\"/devzone/post-order/post-order_v2_casemanagement-caseId__get.html\">getCase</a> to locate the escalated case and the other <b>Post-Order Case Management Calls</b> to manage escalated items. The <a href=\"/devzone/post-order/post-order_v2_inquiry-inquiryId__get.html\">getInquiry</a> endpoint may still return the original inquiry for historical context.</span></p><br>",
        "operationId": "searchInquiries",
        "parameters": [
          {
            "name": "fieldgroups",
            "in": "query",
            "description": "In the future, the <b>fieldgroups</b> query parameter may be used in the request to control the amount of detail that is returned in the response, but for now, the scope of the response will be the same even if this query parameter is used and set to <code>DEFAULT</code>, which is the only supported value. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/res:InquirySearchFieldGroupEnum",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "inquiry_creation_date_range_from",
            "in": "query",
            "description": "The <b>inquiry_creation_date_range_from</b> and <b>inquiry_creation_date_range_to</b> query parameters are used if the user wants to retrieve inquiries that were created during a specific time range. The starting date range is input into the <b>inquiry_creation_date_range_from</b> query parameter. The <b>inquiry_creation_date_range_from</b> date must be older than the <b>inquiry_creation_date_range_to</b> date, and it cannot be set back more than 18 months in the past. If the <b>inquiry_creation_date_range_from</b> query parameter is used, but the <b>inquiry_creation_date_range_to</b> query parameter is not used, the method will look for all inquiries created at or after this date/time, going forward 90 days from this date. The ISO-8601 date format should be used for this query parameter. Here's a sample of that format: <code>2015-05-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "inquiry_creation_date_range_to",
            "in": "query",
            "description": "The <b>inquiry_creation_date_range_from</b> and <b>inquiry_creation_date_range_to</b> query parameters are used if the user wants to retrieve inquiries that were created during a specific time range. The ending date range is input into the <b>inquiry_creation_date_range_to</b> query parameter. The <b>inquiry_creation_date_range_to</b> date must be more recent than the <b>inquiry_creation_date_range_from</b> date. If the <b>inquiry_creation_date_range_from</b> query parameter is used, but the <b>inquiry_creation_date_range_to</b> query parameter is not used, the method will look for all inquiries created at or after the <b>inquiry_creation_date_range_from</b> value, going forward 90 days from this date. The ISO-8601 date format should be used for this query parameter. Here's a sample of that format: <code>2015-05-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "inquiry_status",
            "in": "query",
            "description": "This query parameter is used if the user wants to search for INR inquiries in a specific state. One of the enumeration values defined in the <a href=\"/devzone/post-order/types/InquirySearchFieldGroupEnum.html\">InquirySearchFieldGroupEnum</a> type definition must be used in this query parameter. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/res:InquiryStatusFilter",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "item_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of a listing. If this parameter is used, eBay will search for any INR inquiries filed against this listing. <br/><br/>This parameter is conditionally required if the <b>transaction_id</b> query parameter is used, as both Item ID and Transaction ID values are needed to identify a line item.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "This parameter specifies the maximum number of INR inquiries to display per page of data. If this query parameter is not used, its value defaults to 25 (inquiries per page). <br/><br/><b>Min value</b>: 1<br/><b>Max value</b>: 200<br/><b>Default value</b>: 25",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "This parameter specifies the number of entries to skip in the result set before returning the first item in the paginated response. A 0-based index is used, so page '1' of results is returned if <code>0</code> is set in this field or if this query parameter is omitted. Specify a positive value equal to or lower than the number of pages available (which you determine by examining the results in the <b>paginationOutput</b> container of your initial call).<br/><br/>Combine <b>offset</b> with the <b>limit</b> query parameter to control how many and which items are returned in the response.<br/><br/><b>Min value</b>: 0<br/><b>Default value</b>: 0",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "order_id",
            "in": "query",
            "description": "The unique ID of an order. An <b>order_id</b> value is provided as a query parameter if the user wants to see if an inquiry was filed against one or more order line items in the order specified in this field.  <br/><br/><span class=\"tablenote\"> <b>Note:</b> The order ID value changes as an order goes from the unpaid to the paid state.</span>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "This query parameter is used if you want to control whether INR inquiries are retrieved in descending order (most recent inquiries returned at top of the response) or ascending order (oldest inquiries returned at top of the response). If this query parameter is used, either <code>Descending</code> or <code>Ascending</code> must be used as the value.<br/><br/><code>Descending</code> is the default value, so this query parameter is more useful if you want to sort inquiries in ascending order.<br/><br/><b>Default</b>: Descending ",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "transaction_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of the line item purchase. If this parameter is used, the <b>item_id</b> query parameter must also be used, as both Item ID and Transaction ID values are needed to identify a line item. If you use <b>transaction_id</b> without also supplying an <b>item_id</b> value, this parameter is ignored.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InquirySearchResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/inquiry/{inquiryId}/provide_refund_info": {
      "post": {
        "tags": [
          "Inquiry"
        ],
        "summary": "Provide Inquiry Refund Info",
        "description": "<span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>This call has been deprecated and will be decommissioned on March 16, 2026. </span></span><p>This method on behalf of the seller to provide more information to the buyer about a refund, as is required in certain countries.</p><p></p>",
        "operationId": "provideInquiryRefundInfo",
        "parameters": [
          {
            "name": "inquiryId",
            "in": "path",
            "description": "The unique ID of the inquiry for which to provide refund information. The inquiry ID value is passed in as part of the call URI. ",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request type for the 'Provide Inquiry Refund Info' method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request type for the 'Provide Inquiry Refund Info' method.",
                "$ref": "#/components/schemas/SellerProvideRefundInfoRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/return": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Create Return Request",
        "description": "This method is used to create a return request on behalf of the buyer. If you are converting a return request draft into an actual return request, you must include the <b>draftId</b> field in the request. Whether you are creating a return request directly, or converting a return request draft into a return request, you must include values for the <b>itemId</b>, <b>transactionId</b>, <b>reason</b>, <b>returnQuantity</b>, and <b>type</b> fields.<p><span class=\"tablenote\"><span style=\"color:#004680\"><strong>Note: </strong>If the <b>fieldgroups</b> query parameter is set to <code>FULL</code>, the response may also include provisional refund information under <b>detail.detail.refundInfo.provisionalRefund</b>, since the full response uses the same return detail type returned by the <b>Get Return</b> call.</span></p><br>",
        "operationId": "createReturnRequest",
        "parameters": [
          {
            "name": "fieldgroups",
            "in": "query",
            "description": "The <b>fieldgroups</b> query parameter is used to control the detail level that is returned in the response. One of the values defined in the <a href=\"types/GetReturnFieldGroupEnum.html\">GetReturnFieldGroupEnum</a> type definition must be used here. If this query parameter is not included in the request, its value defaults to <code>NONE</code>, which means that only the <b>returnId</b> value for the newly-created return request will be in the response.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This is the base request of the create return method.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This is the base request of the create return method.",
                "$ref": "#/components/schemas/CreateReturnRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "description": "This is the base response of the create return method.",
                  "$ref": "#/components/schemas/CreateReturnResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/return/{returnId}": {
      "get": {
        "tags": [
          "Return"
        ],
        "summary": "Get Return",
        "description": "Use this method to retrieve information on a specific return request. The user can retrieve either the full details or a summary of the return. When applicable, the full response may also include provisional refund state under <b>detail.refundInfo.provisionalRefund</b> to indicate whether a provisional refund was provided before return creation and whether that refund was later reversed.<br>",
        "operationId": "getReturn",
        "parameters": [
          {
            "name": "fieldgroups",
            "in": "query",
            "description": "The <b>fieldgroups</b> query parameter is used to control whether the response has full details on the return request, or just a summarized set of information. One of the values defined in the <a href=\"types/GetReturnFieldGroupEnum.html\">GetReturnFieldGroupEnum</a> type definition must be used here. If this query parameter is not included in the request, its value defaults to <code>FULL</code>, which means that only the <b>detail</b> container will get returned for the return request, and not the <b>summary</b> container.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return request. This field is required to identify the return request that the user wishes to retrieve. The return ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/GetDetailResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/search": {
      "get": {
        "tags": [
          "Return"
        ],
        "summary": "Search Returns",
        "description": "Use this method to retrieve the details on one or more  return requests, or a summary of return requests per user. This method supports several filters, supplied as query parameters, that allow you to restrict results by date, return status, return type, or by listing. If you use more than one filter type in the request, Boolean AND logic is applied to the results set. Boolean OR logic is used for conditions within a filter.<br>",
        "operationId": "searchReturns",
        "parameters": [
          {
            "name": "creation_date_range_from",
            "in": "query",
            "description": "Specify the <b>creation_date_range_from</b> and <b>creation_date_range_to</b> query parameters if you want to retrieve return requests that were created during a specific period of time.  <br/><br/>Specify the starting date for your date range using the <b>creation_date_range_from</b> parameter. The date specified must be older than the <b>creation_date_range_to</b> timestamp and it cannot be set to more than 18 months in the past. If you specify a <b>creation_date_range_from</b> value, but do not specify a <b>creation_date_range_to</b> value, the method returns all return requests created at or after the specified timestamp and goes forward for the following 90 days. Use an ISO-8601 date format to specify the timestamp. For example: <code>2021-05-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "creation_date_range_to",
            "in": "query",
            "description": "Specify the <b>creation_date_range_from</b> and <b>creation_date_range_to</b> query parameters if you want to retrieve return requests that were created during a specific period of time.  <br/><br/>Specify the ending date for your date range using the <b>creation_date_range_to</b> parameter. The date specified must be more recent than the <b>creation_date_range_from</b>. If you specify a <b>creation_date_range_to</b> value, but do not specify a <b>creation_date_range_from</b>, the method returns all return requests created at or before the specified timestamp, goes backwards for the preceding 90 days. Use an ISO-8601 date format to specify the timestamp. For example: <code>2021-07-15T03:52:39.000Z</code>.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "item_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of a listing. If this parameter is used, eBay will search for any return requests filed against this listing. <br/><br/>This parameter is conditionally required if the <b>transaction_id</b> query parameter is used, as both Item ID and Transaction ID values are needed to identify a line item.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "This parameter specifies the maximum number of return requests to display per page of data. If this query parameter is not used, its value defaults to 25 (return requests per page). <br/><br/><b>Min value</b>: 1<br/><b>Max value</b>: 200<br/><b>Default value</b>: 25",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "This parameter specifies the number of entries to skip in the result set before returning the first item in the paginated response. A 0-based index is used, so page '1' of results is returned if <code>0</code> is set in this field or if this query parameter is omitted. Specify a positive value equal to or lower than the number of pages available (which you determine by examining the results in the <b>paginationOutput</b> container of your initial call).<br/><br/>Combine <b>offset</b> with the <b>limit</b> query parameter to control how many and which items are returned in the response.<br/><br/><b>Min value</b>: 0<br/><b>Default value</b>: 0",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "order_id",
            "in": "query",
            "description": "The unique ID of an order. An <b>order_id</b> value is provided as a query parameter if the user wants to see if a return request was filed against one or more order line items in the order specified in this field.  <br/><br/><span class=\"tablenote\"> <b>Note:</b> The order ID value changes as an order goes from the unpaid to the paid state.</span>",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "return_id",
            "in": "query",
            "description": "The unigue identifier of a specific return request. If this query parameter is used, any other query parameters that are included are ignored since the request will only return this specific return request (if it is found).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "return_state",
            "in": "query",
            "description": "This query parameter is used if the user wants to search for return requests in a specific return state classification, such as all open requests, or return requests where the seller's response is currently due. One of the enumeration values defined in the <a href=\"/devzone/post-order/types/ReturnCountFilterEnum.html\">ReturnCountFilterEnum</a> type definition must be used in this query parameter.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "role",
            "in": "query",
            "description": "Use this query parameter to get return actions that were initiated by either the buyer or the seller. The supported values are <code>BUYER</code> and <code>SELLER</code>, and both value are case-sensitive (e.g. all CAPS are required).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "This query parameter allows a user to sort cancellation requests in the response by <code>ACTUAL_AMOUNT</code>, <code>BUYER_LOGIN_NAME</code>, <code>ESTIMATED_AMOUNT</code>, <code>FILING_DATE</code>, <code>REASON</code>, <code>REFUND_DUE_DATE</code>, <code>RETURN_ID</code>, or <code>STATUS</code> in ascending or descending order. One of these enumeration values must be used as the <b>sort</b> value, and will be preceding by either a <code>+</code> (plus sign) to sort in ascending order, or a <code>-</code> (minus sign) to sort in descending order. <br/><br/>So, to sort in ascending order according to the actual refund amount, the following syntax would be used: <code>sort=+ACTUAL_AMOUNT</code>. To sort in descending order according to return creation date, <code>sort=-FILING_DATE</code> would be used. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/ret:ReturnSortField",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "states",
            "in": "query",
            "description": "This query parameter is used if the user wants to search for return requests in a specific state in the return process. One of the enumeration values defined in the <a href=\"/devzone/post-order/types/ReturnStateEnum.html\">ReturnStateEnum</a> type definition must be used in this query parameter. For implementation help, refer to eBay API documentation at https://developer.ebay.com/api-docs/post-order/post-order/types/ret:ReturnStateEnum",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "transaction_id",
            "in": "query",
            "description": "The unique eBay-assigned ID of the line item purchase. If this parameter is used, the <b>item_id</b> query parameter must also be used, as both Item ID and Transaction ID values are needed to identify a line item. If you use <b>transaction_id</b> without also supplying an <b>item_id</b> value, this parameter is ignored.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/GetSummaryResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/{returnId}/escalate": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Escalate Return",
        "description": "This method is used to escalate a return request into a case. The escalation reason and an accompanying comment can be included in the request payload. If the return request is successfully escalated, a <b>caseId</b> value is returned in the response.<br>",
        "operationId": "escalateReturn",
        "parameters": [
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return request. This field is required to identify the return request that the user wishes to escalate. The return ID value is passed in as part of the call URI.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This method escalates a return request into a case.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This method escalates a return request into a case.",
                "$ref": "#/components/schemas/EscalateRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/EscalateResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/{returnId}/decide": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Process Return Request",
        "description": "This method can be used on behalf of a seller or buyer to perform an action against a return request. <span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload.</span>Some of the actions that sellers can initiate with this method including approving or declining the return request, offering a partial refund solution to the buyer, or providing a Return Merchandise Authorization (RMA) number to the buyer. <br/><br/>Buyers can use this method to accept or decline a partial refund offer.",
        "operationId": "processReturnRequest",
        "parameters": [
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return. The <b>returnId</b> value is required as part of the call URI to identify the return request for which an action is being performed against.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This method allows the seller to offer the return option to the buyer, approve or decline a return request, offer a partial refund to the buyer, or provide a Return Merchandise Authorization (RMA) number to the buyer. The buyer can use this method to accept or decline a partial refund offer.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This method allows the seller to offer the return option to the buyer, approve or decline a return request, offer a partial refund to the buyer, or provide a Return Merchandise Authorization (RMA) number to the buyer. The buyer can use this method to accept or decline a partial refund offer.",
                "$ref": "#/components/schemas/DecideReturnRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/DecideReturnResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/{returnId}/mark_as_received": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Mark Return Received",
        "description": "This method can be used on behalf of a seller to mark a return item as received.<br>",
        "operationId": "markItemReceived",
        "parameters": [
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return. The <b>returnId</b> value is required as part of the call URI to identify the return request for which an item is being marked as 'received'.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This method can be used on behalf of a seller to mark a return item as received.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This method can be used on behalf of a seller to mark a return item as received.",
                "$ref": "#/components/schemas/MarkAsReceivedRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/{returnId}/issue_refund": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Issue Return Refund",
        "description": "This method can be used on behalf of the seller to issue a refund to the buyer.<br/><span class=\"tablenote\"><b>Important!</b> Due to EU &amp; UK Payments regulatory requirements, an additional security verification via Digital Signatures is required for certain API calls that are made on behalf of EU/UK sellers, including this method. Please refer to <a href=\"/develop/guides/digital-signatures-for-apis\" target=\"_blank\">Digital Signatures for APIs</a> to learn more on the impacted APIs and the process to create signature to be included in the HTTP payload.</span>",
        "operationId": "issueReturnRefund",
        "parameters": [
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return request. The <b>returnId</b> value is required as part of the call URI to identify the return request for which a refund is being given.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Sellers use this method to issue a refund to the buyer.",
          "content": {
            "application/json": {
              "schema": {
                "description": "Sellers use this method to issue a refund to the buyer.",
                "$ref": "#/components/schemas/IssueRefundRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/IssueRefundResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/scope/sell@user"
            ]
          }
        ]
      }
    },
    "/post-order/v2/return/{returnId}/tracking": {
      "get": {
        "tags": [
          "Return"
        ],
        "summary": "Get Shipment Tracking Info",
        "description": "This method can be used to retrieve all shipment tracking activity on a specific return request. The information returned includes the date, location, and scan type for each time the shipping package was scanned.<br>",
        "operationId": "getShipmentTrackingInfo",
        "parameters": [
          {
            "name": "carrier_used",
            "in": "query",
            "description": "The shipping carrier used to to ship the package is passed in through this query parameter.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return request. The <b>returnId</b> value is required as part of the call URI to identify the return request for which shipment tracking activity is being retrieved.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "tracking_number",
            "in": "query",
            "description": "The tracking number of the package is passed in through this query parameter.",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/GetTrackingHistoryResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": []
          }
        ]
      }
    },
    "/post-order/v2/return/{returnId}/send_message": {
      "post": {
        "tags": [
          "Return"
        ],
        "summary": "Send Return Message",
        "description": "This method can be used on behalf of a buyer or seller to send a message to order partner regarding the return request.<br>",
        "operationId": "sendReturnMessage",
        "parameters": [
          {
            "name": "returnId",
            "in": "path",
            "description": "The unique eBay-assigned ID of the return request. The <b>returnId</b> value is required as part of the call URI to identify the return request for which the message is intended.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "This method can be used on behalf of a buyer or seller to send a message to order partner regarding the return request.",
          "content": {
            "application/json": {
              "schema": {
                "description": "This method can be used on behalf of a buyer or seller to send a message to order partner regarding the return request.",
                "$ref": "#/components/schemas/SendMessageRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/xml": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    },
    "/post-order/v2/return/{returnId}/add_shipping_label": {
[...]
